Package icyllis.arc3d.vulkan

# Class VkBackendFormat

java.lang.Object
icyllis.arc3d.engine.BackendFormat
icyllis.arc3d.vulkan.VkBackendFormat

@Immutable public final class VkBackendFormat extends BackendFormat

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `int`
  `getBackend()`
  `int`
  `getBytesPerBlock()`
  `int`
  `getChannelFlags()`
  Gets the channels present in the format as a bitfield of ColorChannelFlag values.
  `int`
  `getCompressionType()`
  `int`
  `getDepthBits()`
  `int`
  `getFormatKey()`
  `int`
  `getStencilBits()`
  `int`
  `getVkFormat()`
  If the backend API is Vulkan this gets the format as a VkFormat.
  `int`
  `hashCode()`
  `boolean`
  `isSRGB()`
  `static VkBackendFormat`
  `make(int format)`
  `String`
  `toString()`

  ### Methods inherited from class icyllis.arc3d.engine.BackendFormat

  `getGLFormat, isCompressed, isExternal`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### make

    @Nonnull public static VkBackendFormat make(int format)

  - ### getBackend

    public int getBackend()
    Specified by:
      `getBackend` in class `BackendFormat`
    See Also:
      - `Engine.BackendApi.kOpenGL`
      - `Engine.BackendApi.kVulkan`
      - `Engine.BackendApi.kMock`

  - ### getChannelFlags

    public int getChannelFlags()
    Description copied from class: `BackendFormat`
    Gets the channels present in the format as a bitfield of ColorChannelFlag values.
    Specified by:
      `getChannelFlags` in class `BackendFormat`
    See Also:
      - `Color.COLOR_CHANNEL_FLAGS_RGBA`

  - ### getVkFormat

    public int getVkFormat()
    Description copied from class: `BackendFormat`
    If the backend API is Vulkan this gets the format as a VkFormat.
    Overrides:
      `getVkFormat` in class `BackendFormat`

  - ### isSRGB

    public boolean isSRGB()
    Specified by:
      `isSRGB` in class `BackendFormat`

  - ### getCompressionType

    public int getCompressionType()
    Specified by:
      `getCompressionType` in class `BackendFormat`
    See Also:
      - `ColorInfo.COMPRESSION_NONE`

  - ### getBytesPerBlock

    public int getBytesPerBlock()
    Specified by:
      `getBytesPerBlock` in class `BackendFormat`
    Returns:
      if compressed, bytes per block, otherwise bytes per pixel

  - ### getDepthBits

    public int getDepthBits()
    Specified by:
      `getDepthBits` in class `BackendFormat`

  - ### getStencilBits

    public int getStencilBits()
    Specified by:
      `getStencilBits` in class `BackendFormat`

  - ### getFormatKey

    public int getFormatKey()
    Specified by:
      `getFormatKey` in class `BackendFormat`
    Returns:
      a key that is unique in the backend

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`